/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXPathNSResolver_H___INT_
#define __GdomXPathNSResolver_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XPathNSResolver.h"
namespace WebCore {
    gpointer toGDOM(XPathNSResolver* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXPathNSResolver : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_X_PATH_NS_RESOLVER; }
    GDOMXPathNSResolver(PassRefPtr<WebCore::XPathNSResolver> impl);
    virtual ~GDOMXPathNSResolver();
    WebCore::XPathNSResolver* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XPathNSResolver> m_impl;
};
G_END_DECLS

#endif /* __GdomXPathNSResolver_H___INT_*/
